Subject: Re: PC-Pine 4.21 and display/sending filters: crash log

From: Daniel Lungu <[email-masked]>
Date: Wed, 27 Sep 2000 10:41:15 +0200 (MET DST)

Hi again!

I have tested the simplest filter I can think of, that is cat-like:

sending-filter = C:\WINNT\system32\CMD.EXE /C type

Though Pine crashes and Dr. Watson reports:

pine.exe
Exception: access violation (0xc0000005), Address 0x77f6754b

Finally I found doctor's log that is in C:\WINNT\drwtsn32.log. Here is
a fragment from the tail of my log file:

Application exception occurred:
        App:  (pid=241)
        When: 9/27/2000 @ 10:11:15.46
        Exception number: c0000005 (access violation)

*----> System Information <----*
...
        User Name: lungu
        Number of Processors: 1
        Processor Type: x86 Family 6 Model 7 Stepping 3
        Windows Version: 4.0
        Current Build: 1381
        Service Pack: 6
...

*----> Task List <----*
   0 Idle.exe
   2 System.exe
...
 241 pine.exe
 245 CMD.exe
 228 CMD.exe
 215 DRWTSN32.exe
...

State Dump for Thread Id 0xe0

eax=00000020 ebx=7ffdf000 ecx=7ffde000 edx=00000020 esi=00000000
edi=01604730
eip=77f6754b esp=0012d9c0 ebp=0012ddfc iopl=0         nv up ei pl nz na pe
nc
cs=001b  ss=0023  ds=0023  es=0023  fs=0038  gs=0000
efl=00000202

function: RtlEnterCriticalSection
        77f67540 648b0d18000000   mov     ecx,fs:[00000018]
fs:00000018=????????
        77f67547 8b542404         mov     edx,[esp+0x4]
ss:0145c3c7=????????
FAULT ->77f6754b 837a1400         cmp   dword ptr [edx+0x14],0x0
ds:0132ea26=????????
        77f6754f 754f             jnz     RtlEnterCriticalSection+0x60
(77f675a0)
        77f67551 90               nop
        77f67552 ff4204           inc     dword ptr [edx+0x4]
ds:0132ea26=????????
        77f67555 7519             jnz     RtlEnterCriticalSection+0x30
(77f67570)
        77f67557 8b4124           mov     eax,[ecx+0x24]
ds:8130ca06=????????
        77f6755a 89420c           mov     [edx+0xc],eax
ds:0132ea26=????????
        77f6755d c7420801000000   mov    dword ptr [edx+0x8],0x1
ds:0132ea26=????????
        77f67564 33c0             xor     eax,eax
        77f67566 c20400           ret     0x4
        77f67569 2e8bc0           mov     eax,cs:eax
        77f6756c 2e8bc0           mov     eax,cs:eax

*----> Stack Back Trace <----*

FramePtr ReturnAd Param#1  Param#2  Param#3  Param#4  Function Name
0012ddfc 00554439 014da590 00000000 014e1f50 004028ba
ntdll!RtlEnterCriticalSection 
0012e27c 00551369 014e5e10 014e5cb0 014e5ec0 0012f1c4 !<nosymbols> 
0012f2cc 0054a445 014e5cb0 0012fc68 006ca288 00000000 !<nosymbols> 
0012fc98 00549412 00000000 00000000 00000000 00000000 !<nosymbols> 
0012fcbc 00530e73 014c8080 00402f0e 014d00f0 00008002 !<nosymbols> 
0012ff00 00598d6c 00000001 014d0d90 0492e198 00000000 !<nosymbols> 
0012ff34 0060b804 00400000 00000000 00133760 00000001 !<nosymbols> 
0012ffc0 77f1b9ea 0492e198 77c440e0 7ffdf000 c0000005 !<nosymbols> 
0012fff0 00000000 0060b724 00000000 000000b0 00000100
kernel32!GetProcessPriorityBoost 
00000000 00000000 00000000 00000000 00000000 00000000 !<nosymbols> 

...

State Dump for Thread Id 0xef

eax=77c5d873 ebx=017dfdbc ecx=00137680 edx=00000000 esi=7ffdf000
edi=017dfddc
eip=77f682cb esp=017dfd98 ebp=017dfdec iopl=0         nv up ei pl nz ac pe
cy
cs=001b  ss=0023  ds=0023  es=0023  fs=0038  gs=0000
efl=00000213

function: NtWaitForMultipleObjects
        77f682c0 b8c4000000       mov     eax,0xc4
        77f682c5 8d542404         lea     edx,[esp+0x4]
ss:02b0e79f=????????
        77f682c9 cd2e             int     2e
        77f682cb c21400           ret     0x14
        77f682ce 8bc0             mov     eax,eax

*----> Stack Back Trace <----*

FramePtr ReturnAd Param#1  Param#2  Param#3  Param#4  Function Name
017dfdec 77e79de5 00000001 017dfe14 00000000 00001bb8
ntdll!NtWaitForMultipleObjects 
017dfe48 77e79e31 00000000 017dfe8c 00001bb8 000000ff
user32!MsgWaitForMultipleObjectsEx 
017dfe64 77c4c658 00000000 017dfe8c 00000000 00001bb8
user32!MsgWaitForMultipleObjects 
017dffb8 77f04ede 00000000 77f8f219 00000004 00000000
shell32!SHAppBarMessage 
017dffec 00000000 00000000 00000000 00000000 00000000 kernel32!lstrcmpiW 
00000000 00000000 00000000 00000000 00000000 00000000 !<nosymbols> 

Think this is not really usefull, but maybe Pine developers
will look at it and check their crash log against.

Thanks for listening,

Daniel Lungu